<?php

declare(strict_types=1);

/**
 * @copyright Copyright (c) 2016 Bjoern Schiessle <bjoern@schiessle.org>
 *
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/**
 * Create your routes in here. The name is the lowercase name of the controller
 * without the controller part, the stuff after the hash is the method.
 * e.g. page#index -> OCA\ServerInfo\Controller\PageController->index()
 *
 * The controller class has to be registered in the application.php file since
 * it's instantiated in there
 */

return [
	'routes' => [
		['name' => 'page#update', 'url' => '/update', 'verb' => 'GET'],
		['name' => 'page#phpinfo', 'url' => '/phpinfo', 'verb' => 'GET'],
	],
	'ocs' => [
		['name' => 'api#info', 'url' => '/api/v1/info', 'verb' => 'GET'],
		['name' => 'api#DiskData', 'url' => '/api/v1/diskdata', 'verb' => 'GET'],
		['name' => 'api#BasicData', 'url' => '/api/v1/basicdata', 'verb' => 'GET'],
	],
];
